xpdf configure ПРЕДУПРЕЖДЕНИЕ – Не удалось найти Motif / X

Моя среда – mint17 3.13.0-24-generic x86_64

Я пытаюсь скомпилировать xpdf из исходного кода:

 sudo apt-get install libfreetype6-dev libmotif-dev wget ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.04.tar.gz tar xvf xpdf-3.04.tar.gz cd xpdf-3.04 ./configure \ --with-freetype2-library=/usr/lib/x86_64-linux-gnu \ --with-freetype2-includes=/usr/include/freetype2 \ --with-Xm-library=/usr/lib/x86_64-linux-gnu \ --with-Xm-includes=/usr/include/Xm 

Затем я получил сообщения WARNING:

 configure: WARNING: Couldn't find X configure: WARNING: Couldn't find Motif configure: WARNING: -- You will be able to compile pdftops, pdftotext, pdfinfo, pdffonts, pdfdetach, and pdfimages, but not xpdf or pdftoppm 

Я проверил местоположение библиотеки и заголовков. Я не знаю, почему правильное местоположение с новейшей версией все еще вызывало это.

 library: /usr/lib/x86_64-linux-gnu/libXm.so header files: /usr/include/Xm 

Кроме того, я google, мало кто получил такое же неразрешимое предупреждающее сообщение на разных платформах.

* Мне нужно скомпилировать xpdf из исходного кода.

  • почему мы не можем установить приложение, скомпилированное для Ubuntu, на Linux mint или некоторые другие дистрибутивы с одним ядром?
  • Множественное масштабирование HiDPI-мониторов
  • LDAP: локальный и удаленный пользователь с одинаковым именем пользователя
  • Как заставить поиски google / youtube использовать bash?
  • SSH в Windows Server '08 с монетного двора 14 - «разрешение отклонено»
  • System Mangled: Как отменить sudo apt-get удалить gnupg
  • Как вручную добавить загрузочные приложения на Mint 17.3
  • Обновите Linux 10 Mint Julia до 13 Maya
  • One Solution collect form web for “xpdf configure ПРЕДУПРЕЖДЕНИЕ – Не удалось найти Motif / X”

    Вам также необходимо установить libxt-dev . Аргументы --with-Xm-... для ./configure не нужны (на самом деле --with-Xm-includes=/usr/include/Xm не удастся, так как заголовок Motif включает в себя все файлы для поиска в Xm подкаталог данного каталога include), а также --with-freetype2-library=/usr/lib/x86_64-linux-gnu можно отбросить (это значение по умолчанию):

     sudo apt-get install libfreetype6-dev libmotif-dev libxt-dev wget ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.04.tar.gz tar xvf xpdf-3.04.tar.gz cd xpdf-3.04 ./configure --with-freetype2-includes=/usr/include/freetype2 make 
    Linux и Unix - лучшая ОС в мире.